Bug 209413 - 'data' directory missing
Summary: 'data' directory missing
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: bugzilla (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: John Berninger
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-05 09:37 UTC by Alexander Koenig
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-27 11:38:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexander Koenig 2006-10-05 09:37:40 UTC
Description of problem:

Running checksetup.pl does not create the 'data' directory for bugzilla.

Version-Release number of selected component (if applicable):

bugzilla-2.22-6.fc5

How reproducible:

Configure /etc/bugzilla/localconfig and run checksetup.pl. Although
checksetup.pl completes successfully, it does not create a 'data' directory. The
comment in the script claims "This means that TT creates the directory for
us..." but that doesn't seem to work over here, so that the test for (-d
$datadir && -e "$datadir/nomail") fails, and that part of script will not be
executed.

Steps to Reproduce:
1. Configure bugzilla
2. Run checksetup.pl
3. Check for '/usr/share/bugzilla/data'
  
Actual results:

No '/usr/share/bugzilla/data' directory.

Expected results:

A populated '/usr/share/bugzilla/data' directory with proper .htaccess files.

Comment 1 John Berninger 2006-10-27 11:38:56 UTC
Bugzilla's data directory is in /var/lib/bugzilla.  This is done so that /usr
can be read-only and not cause problems.  I just verified that the
/var/lib/bugzilla/data directory is created and populated when checksetup.pl is run.


Note You need to log in before you can comment on or make changes to this bug.